GetResourceOwner
GET
/api/v1/resources/{resource}/owners/{owner}Fetch one owner of a resource by name.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/resources/{resource}/owners/{owner}"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/resources/{resource}/owners/{owner}"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”namestringrequiredFormat:
resources/{resource}/owners/{owner}
Response
Section titled “Response”200ResourceOwnerA ResourceOwner is a user, team, or group that owns a resource.
namestringAssigned by Oblique. Name of the owner of the format
resources/{resource}/owners/{owner}.ownerstringrequiredSet once, when the resource is created. The owner of the resource. This can be a user, group, or team.
Format:
users/{user},groups/{group},teams/{team}createTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-only
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |